<?php

/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


namespace App\Http\Controllers;

use Illuminate\Support\Facades\Request;

class DNSApi extends Controller
{
    /**
     * Constructor
     */
    public function __construct()
    {
    }

    /**
     * Operation dnsAddGet
     *
     * Создание записи домена.
     *
     *
     * @return Http response
     */
    public function dnsAddGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling dnsAddGet');
        }
        $token = $input['token'];

        if (!isset($input['addDnsZone'])) {
            throw new \InvalidArgumentException('Missing the required parameter $addDnsZone when calling dnsAddGet');
        }
        $addDnsZone = $input['addDnsZone'];

        $addDnsRecord = $input['addDnsRecord'];

        $iisSiteForDns = $input['iisSiteForDns'];

        $bindOnly = $input['bindOnly'];


        return response('How about implementing dnsAddGet as a GET method ?');
    }
    /**
     * Operation dnsBindGet
     *
     * Привязка одного домена к другому.
     *
     *
     * @return Http response
     */
    public function dnsBindGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling dnsBindGet');
        }
        $token = $input['token'];

        if (!isset($input['key'])) {
            throw new \InvalidArgumentException('Missing the required parameter $key when calling dnsBindGet');
        }
        $key = $input['key'];

        $bindTo = $input['bindTo'];


        return response('How about implementing dnsBindGet as a GET method ?');
    }
    /**
     * Operation dnsListGet
     *
     * Получить список доменных имён.
     *
     *
     * @return Http response
     */
    public function dnsListGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling dnsListGet');
        }
        $token = $input['token'];


        return response('How about implementing dnsListGet as a GET method ?');
    }
    /**
     * Operation dnsProlongListGet
     *
     * Информация по продлению доменов.
     *
     *
     * @return Http response
     */
    public function dnsProlongListGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling dnsProlongListGet');
        }
        $token = $input['token'];


        return response('How about implementing dnsProlongListGet as a GET method ?');
    }
    /**
     * Operation dnsRawGet
     *
     * Редактирование \"сырой\" зоны.
     *
     *
     * @return Http response
     */
    public function dnsRawGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling dnsRawGet');
        }
        $token = $input['token'];

        if (!isset($input['key'])) {
            throw new \InvalidArgumentException('Missing the required parameter $key when calling dnsRawGet');
        }
        $key = $input['key'];

        if (!isset($input['sDel'])) {
            throw new \InvalidArgumentException('Missing the required parameter $sDel when calling dnsRawGet');
        }
        $sDel = $input['sDel'];

        if (!isset($input['sAdd'])) {
            throw new \InvalidArgumentException('Missing the required parameter $sAdd when calling dnsRawGet');
        }
        $sAdd = $input['sAdd'];

        if (!isset($input['dnsType'])) {
            throw new \InvalidArgumentException('Missing the required parameter $dnsType when calling dnsRawGet');
        }
        $dnsType = $input['dnsType'];

        if (!isset($input['dnsName'])) {
            throw new \InvalidArgumentException('Missing the required parameter $dnsName when calling dnsRawGet');
        }
        $dnsName = $input['dnsName'];

        if (!isset($input['dnsValue'])) {
            throw new \InvalidArgumentException('Missing the required parameter $dnsValue when calling dnsRawGet');
        }
        $dnsValue = $input['dnsValue'];


        return response('How about implementing dnsRawGet as a GET method ?');
    }
    /**
     * Operation dnsRawManagedmxGet
     *
     * Редактировать DNS-зону.
     *
     *
     * @return Http response
     */
    public function dnsRawManagedmxGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling dnsRawManagedmxGet');
        }
        $token = $input['token'];

        if (!isset($input['key'])) {
            throw new \InvalidArgumentException('Missing the required parameter $key when calling dnsRawManagedmxGet');
        }
        $key = $input['key'];

        if (!isset($input['managedMx'])) {
            throw new \InvalidArgumentException('Missing the required parameter $managedMx when calling dnsRawManagedmxGet');
        }
        $managedMx = $input['managedMx'];

        if (!isset($input['updManagedMx'])) {
            throw new \InvalidArgumentException('Missing the required parameter $updManagedMx when calling dnsRawManagedmxGet');
        }
        $updManagedMx = $input['updManagedMx'];


        return response('How about implementing dnsRawManagedmxGet as a GET method ?');
    }
}
