<?php

/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


namespace App\Http\Controllers;

use Illuminate\Support\Facades\Request;

class DefaultApi extends Controller
{
    /**
     * Constructor
     */
    public function __construct()
    {
    }

    /**
     * Operation balanceGet
     *
     * Аккаунт: баланс.
     *
     *
     * @return Http response
     */
    public function balanceGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling balanceGet');
        }
        $token = $input['token'];


        return response('How about implementing balanceGet as a GET method ?');
    }
    /**
     * Operation balanceLicGet
     *
     * Аккаунт: баланс аккаунта лицензий.
     *
     *
     * @return Http response
     */
    public function balanceLicGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling balanceLicGet');
        }
        $token = $input['token'];


        return response('How about implementing balanceLicGet as a GET method ?');
    }
    /**
     * Operation billingDebtGet
     *
     * Информация по дебету аккаунта.
     *
     *
     * @return Http response
     */
    public function billingDebtGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling billingDebtGet');
        }
        $token = $input['token'];


        return response('How about implementing billingDebtGet as a GET method ?');
    }
    /**
     * Operation billingInfoGet
     *
     * Информация об аккаунте.
     *
     *
     * @return Http response
     */
    public function billingInfoGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling billingInfoGet');
        }
        $token = $input['token'];


        return response('How about implementing billingInfoGet as a GET method ?');
    }
    /**
     * Operation billingLimitsGet
     *
     * Получить ограничения аккаунта.
     *
     *
     * @return Http response
     */
    public function billingLimitsGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling billingLimitsGet');
        }
        $token = $input['token'];


        return response('How about implementing billingLimitsGet as a GET method ?');
    }
    /**
     * Operation dnsProlongListGet
     *
     * Информация по продлению доменов.
     *
     *
     * @return Http response
     */
    public function dnsProlongListGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling dnsProlongListGet');
        }
        $token = $input['token'];


        return response('How about implementing dnsProlongListGet as a GET method ?');
    }
    /**
     * Operation emailAddGet
     *
     * Создание почтового ящика.
     *
     *
     * @return Http response
     */
    public function emailAddGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling emailAddGet');
        }
        $token = $input['token'];

        if (!isset($input['addEmail'])) {
            throw new \InvalidArgumentException('Missing the required parameter $addEmail when calling emailAddGet');
        }
        $addEmail = $input['addEmail'];


        return response('How about implementing emailAddGet as a GET method ?');
    }
    /**
     * Operation emailAliasDeleteGet
     *
     * Удаление псевдонимов почтовых ящиков.
     *
     *
     * @return Http response
     */
    public function emailAliasDeleteGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling emailAliasDeleteGet');
        }
        $token = $input['token'];

        if (!isset($input['key'])) {
            throw new \InvalidArgumentException('Missing the required parameter $key when calling emailAliasDeleteGet');
        }
        $key = $input['key'];


        return response('How about implementing emailAliasDeleteGet as a GET method ?');
    }
    /**
     * Operation emailAliasListGet
     *
     * Получить список псевдонимов почтовых ящиков.
     *
     *
     * @return Http response
     */
    public function emailAliasListGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling emailAliasListGet');
        }
        $token = $input['token'];


        return response('How about implementing emailAliasListGet as a GET method ?');
    }
    /**
     * Operation emailDeleteGet
     *
     * Удаление почтового ящика.
     *
     *
     * @return Http response
     */
    public function emailDeleteGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling emailDeleteGet');
        }
        $token = $input['token'];

        if (!isset($input['key'])) {
            throw new \InvalidArgumentException('Missing the required parameter $key when calling emailDeleteGet');
        }
        $key = $input['key'];


        return response('How about implementing emailDeleteGet as a GET method ?');
    }
    /**
     * Operation emailListGet
     *
     * Получить список почтовых ящиков.
     *
     *
     * @return Http response
     */
    public function emailListGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling emailListGet');
        }
        $token = $input['token'];


        return response('How about implementing emailListGet as a GET method ?');
    }
    /**
     * Operation updatesLastGet
     *
     * Идентификатор последнего уведомления в аудите.
     *
     *
     * @return Http response
     */
    public function updatesLastGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling updatesLastGet');
        }
        $token = $input['token'];


        return response('How about implementing updatesLastGet as a GET method ?');
    }
    /**
     * Operation updatesListGet
     *
     * Список записей аудита.
     *
     *
     * @return Http response
     */
    public function updatesListGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling updatesListGet');
        }
        $token = $input['token'];

        if (!isset($input['key'])) {
            throw new \InvalidArgumentException('Missing the required parameter $key when calling updatesListGet');
        }
        $key = $input['key'];


        return response('How about implementing updatesListGet as a GET method ?');
    }
    /**
     * Operation websiteDeleteGet
     *
     * Удаление сайта.
     *
     *
     * @return Http response
     */
    public function websiteDeleteGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling websiteDeleteGet');
        }
        $token = $input['token'];

        if (!isset($input['key'])) {
            throw new \InvalidArgumentException('Missing the required parameter $key when calling websiteDeleteGet');
        }
        $key = $input['key'];


        return response('How about implementing websiteDeleteGet as a GET method ?');
    }
    /**
     * Operation websiteListGet
     *
     * Список сайтов аккаунта.
     *
     *
     * @return Http response
     */
    public function websiteListGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling websiteListGet');
        }
        $token = $input['token'];


        return response('How about implementing websiteListGet as a GET method ?');
    }
}
