<?php

/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


namespace App\Http\Controllers;

use Illuminate\Support\Facades\Request;

class VDSHyperVOpenVZApi extends Controller
{
    /**
     * Constructor
     */
    public function __construct()
    {
    }

    /**
     * Operation vdsCreateGet
     *
     * Изменение параметров VDS.
     *
     *
     * @return Http response
     */
    public function vdsCreateGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling vdsCreateGet');
        }
        $token = $input['token'];

        $type = $input['type'];

        $crHvmem = $input['crHvmem'];

        $crHvdsk = $input['crHvdsk'];

        $crHvcpu = $input['crHvcpu'];

        $template = $input['template'];

        $forceMemo = $input['forceMemo'];

        $hv1gbPanelVersion = $input['hv1gbPanelVersion'];

        $panelInstall = $input['panelInstall'];

        $crSsd1 = $input['crSsd1'];

        $crHvAllSystem = $input['crHvAllSystem'];


        return response('How about implementing vdsCreateGet as a GET method ?');
    }
    /**
     * Operation vdsDeleteGet
     *
     * Удаление VDS.
     *
     *
     * @return Http response
     */
    public function vdsDeleteGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling vdsDeleteGet');
        }
        $token = $input['token'];

        if (!isset($input['key'])) {
            throw new \InvalidArgumentException('Missing the required parameter $key when calling vdsDeleteGet');
        }
        $key = $input['key'];

        $forceCritical = $input['forceCritical'];


        return response('How about implementing vdsDeleteGet as a GET method ?');
    }
    /**
     * Operation vdsIpAddGet
     *
     * Добавление IP на VDS.
     *
     *
     * @return Http response
     */
    public function vdsIpAddGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling vdsIpAddGet');
        }
        $token = $input['token'];

        if (!isset($input['key'])) {
            throw new \InvalidArgumentException('Missing the required parameter $key when calling vdsIpAddGet');
        }
        $key = $input['key'];


        return response('How about implementing vdsIpAddGet as a GET method ?');
    }
    /**
     * Operation vdsIpDeleteGet
     *
     * Удаление IP с VDS.
     *
     *
     * @return Http response
     */
    public function vdsIpDeleteGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling vdsIpDeleteGet');
        }
        $token = $input['token'];

        if (!isset($input['key'])) {
            throw new \InvalidArgumentException('Missing the required parameter $key when calling vdsIpDeleteGet');
        }
        $key = $input['key'];

        if (!isset($input['delIp'])) {
            throw new \InvalidArgumentException('Missing the required parameter $delIp when calling vdsIpDeleteGet');
        }
        $delIp = $input['delIp'];


        return response('How about implementing vdsIpDeleteGet as a GET method ?');
    }
    /**
     * Operation vdsIpListGet
     *
     * Список IP-адресов виртуальных серверов.
     *
     *
     * @return Http response
     */
    public function vdsIpListGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling vdsIpListGet');
        }
        $token = $input['token'];

        $key = $input['key'];


        return response('How about implementing vdsIpListGet as a GET method ?');
    }
    /**
     * Operation vdsListGet
     *
     * Список виртуальных серверов.
     *
     *
     * @return Http response
     */
    public function vdsListGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling vdsListGet');
        }
        $token = $input['token'];

        $key = $input['key'];


        return response('How about implementing vdsListGet as a GET method ?');
    }
    /**
     * Operation vdsRebootGet
     *
     * Перезагрузка VDS.
     *
     *
     * @return Http response
     */
    public function vdsRebootGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling vdsRebootGet');
        }
        $token = $input['token'];

        if (!isset($input['key'])) {
            throw new \InvalidArgumentException('Missing the required parameter $key when calling vdsRebootGet');
        }
        $key = $input['key'];


        return response('How about implementing vdsRebootGet as a GET method ?');
    }
    /**
     * Operation vdsTemplatesListGet
     *
     * Список шаблонов виртуальных серверов.
     *
     *
     * @return Http response
     */
    public function vdsTemplatesListGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling vdsTemplatesListGet');
        }
        $token = $input['token'];


        return response('How about implementing vdsTemplatesListGet as a GET method ?');
    }
    /**
     * Operation vdsUpdateGet
     *
     * Создание VDS.
     *
     *
     * @return Http response
     */
    public function vdsUpdateGet()
    {
        $input = Request::all();

        //path params validation


        //not path params validation
        if (!isset($input['token'])) {
            throw new \InvalidArgumentException('Missing the required parameter $token when calling vdsUpdateGet');
        }
        $token = $input['token'];

        if (!isset($input['key'])) {
            throw new \InvalidArgumentException('Missing the required parameter $key when calling vdsUpdateGet');
        }
        $key = $input['key'];

        $crHvmem = $input['crHvmem'];

        $crHvdsk = $input['crHvdsk'];

        $crHvcpu = $input['crHvcpu'];


        return response('How about implementing vdsUpdateGet as a GET method ?');
    }
}
