<?php

/**
 * 1Gb API
 *  API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  
 *
 * OpenAPI spec version: 2.0.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * 1Gb API
 * @version 2.0.0
 */

$app->get('/', function () use ($app) {
    return $app->version();
});

/**
 * GET balanceGet
 * Summary: Аккаунт: баланс
 * Notes: Возвращает текущий баланс аккаунта
 * Output-Formats: [application/json]
 */
$app->GET('/balance', 'DefaultApi@balanceGet');
/**
 * GET balanceLicGet
 * Summary: Аккаунт: баланс аккаунта лицензий
 * Notes: Возвращает текущий баланс аккаунта лицензий
 * Output-Formats: [application/json]
 */
$app->GET('/balance.lic', 'DefaultApi@balanceLicGet');
/**
 * GET billingDebtGet
 * Summary: Информация по дебету аккаунта
 * Notes: Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения
 * Output-Formats: [application/json]
 */
$app->GET('/billing/debt', 'DefaultApi@billingDebtGet');
/**
 * GET billingInfoGet
 * Summary: Информация об аккаунте
 * Notes: Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.
 * Output-Formats: [application/json]
 */
$app->GET('/billing/info', 'DefaultApi@billingInfoGet');
/**
 * GET billingLimitsGet
 * Summary: Получить ограничения аккаунта
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/billing/limits', 'DefaultApi@billingLimitsGet');
/**
 * GET dnsProlongListGet
 * Summary: Информация по продлению доменов
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/dns/prolong/list', 'DefaultApi@dnsProlongListGet');
/**
 * GET emailAddGet
 * Summary: Создание почтового ящика
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/email/add', 'DefaultApi@emailAddGet');
/**
 * GET emailAliasDeleteGet
 * Summary: Удаление псевдонимов почтовых ящиков
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/email/alias/delete', 'DefaultApi@emailAliasDeleteGet');
/**
 * GET emailAliasListGet
 * Summary: Получить список псевдонимов почтовых ящиков
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/email/alias/list', 'DefaultApi@emailAliasListGet');
/**
 * GET emailDeleteGet
 * Summary: Удаление почтового ящика
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/email/delete', 'DefaultApi@emailDeleteGet');
/**
 * GET emailListGet
 * Summary: Получить список почтовых ящиков
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/email/list', 'DefaultApi@emailListGet');
/**
 * GET updatesLastGet
 * Summary: Идентификатор последнего уведомления в аудите
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/updates/last', 'DefaultApi@updatesLastGet');
/**
 * GET updatesListGet
 * Summary: Список записей аудита
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/updates/list', 'DefaultApi@updatesListGet');
/**
 * GET websiteDeleteGet
 * Summary: Удаление сайта
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/website/delete', 'DefaultApi@websiteDeleteGet');
/**
 * GET websiteListGet
 * Summary: Список сайтов аккаунта
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/website/list', 'DefaultApi@websiteListGet');
/**
 * POST authLoginPost
 * Summary: Получить ключ доступа
 * Notes: Возвращает ключ доступа, с которым в дальнейшем будут осуществляться всё взаимодействие с API  (параметр &#39;token&#39;). Для вычисления значения параметра &#39;response&#39; необходимо получить представленную в hex MD5-сумму от  объединения строк пароля пользователя, полученной соли и символа переноса строки. Псевдокод операции:  hex(md5(password&amp;nbsp;+&amp;nbsp;salt&amp;nbsp;+&amp;nbsp;&#39;\\n&#39;))
 * Output-Formats: [application/json]
 */
$app->POST('/auth/login', 'AuthAPIApi@authLoginPost');
/**
 * GET authStartGet
 * Summary: Получить соль
 * Notes: Возвращает соль для авторизации. Это первый этап идентификации пользователя. Затем соль используется  во втором, окончательном этапе авторизации, в запросе /auth/login. Запрос не требует дополнительных параметров.
 * Output-Formats: [application/json]
 */
$app->GET('/auth/start', 'AuthAPIApi@authStartGet');
/**
 * GET dnsAddGet
 * Summary: Создание записи домена
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/dns/add', 'DNSApi@dnsAddGet');
/**
 * GET dnsBindGet
 * Summary: Привязка одного домена к другому
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/dns/bind', 'DNSApi@dnsBindGet');
/**
 * GET dnsListGet
 * Summary: Получить список доменных имён
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/dns/list', 'DNSApi@dnsListGet');
/**
 * GET dnsProlongListGet
 * Summary: Информация по продлению доменов
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/dns/prolong/list', 'DNSApi@dnsProlongListGet');
/**
 * GET dnsRawGet
 * Summary: Редактирование \&quot;сырой\&quot; зоны
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/dns/raw', 'DNSApi@dnsRawGet');
/**
 * GET dnsRawManagedmxGet
 * Summary: Редактировать DNS-зону
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/dns/raw/managedmx', 'DNSApi@dnsRawManagedmxGet');
/**
 * GET ftpListGet
 * Summary: Получить список зарегистрированных аккаунтов FTP
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/ftp/list', 'HostingftpAPIApi@ftpListGet');
/**
 * GET iisListGet
 * Summary: Список сайтов IIS
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/iis/list', 'HostingiisAPIApi@iisListGet');
/**
 * GET mssqlListGet
 * Summary: Получить список аккаунтов в MSSQL
 * Notes: 
 * Output-Formats: [application/json]
 */
$app->GET('/mssql/list', 'MicrosoftSQLServerApi@mssqlListGet');
/**
 * GET databaseListGet
 * Summary: Список аккаунтов в базах данных UNIX
 * Notes: Возвращает список зарегистрированных аккаунтов в базах данных MySQL и Postgres. Для вычисления имени домена необходимо объединить имя базы данных,   идентификатор сервера и суффикс (поле url_suffix). Например, если ID сервера равен 123 (значит это MySQL — см. описание поля &#39;server&#39; в ответе), а суффикс равен &#39;1gb.ru&#39;, то домен   для доступа будет равен &#39;mysql123.1gb.ru&#39;.
 * Output-Formats: [application/json]
 */
$app->GET('/database/list', 'MySQLPostgresApi@databaseListGet');
/**
 * GET vdsCreateGet
 * Summary: Изменение параметров VDS
 * Notes: Изменение параметров уже существующего VDS
 * Output-Formats: [application/json]
 */
$app->GET('/vds/create', 'VDSHyperVOpenVZApi@vdsCreateGet');
/**
 * GET vdsDeleteGet
 * Summary: Удаление VDS
 * Notes: Предоставляет функционал для удаления VDS
 * Output-Formats: [application/json]
 */
$app->GET('/vds/delete', 'VDSHyperVOpenVZApi@vdsDeleteGet');
/**
 * GET vdsIpAddGet
 * Summary: Добавление IP на VDS
 * Notes: Этот вызов позволяет добавить ещё один IP адрес на указанный VDS
 * Output-Formats: [application/json]
 */
$app->GET('/vds/ip/add', 'VDSHyperVOpenVZApi@vdsIpAddGet');
/**
 * GET vdsIpDeleteGet
 * Summary: Удаление IP с VDS
 * Notes: Этот вызов позволяет отвязать IP адрес от VDS
 * Output-Formats: [application/json]
 */
$app->GET('/vds/ip/delete', 'VDSHyperVOpenVZApi@vdsIpDeleteGet');
/**
 * GET vdsIpListGet
 * Summary: Список IP-адресов виртуальных серверов
 * Notes: Список IP-адресов виртуальных серверов
 * Output-Formats: [application/json]
 */
$app->GET('/vds/ip/list', 'VDSHyperVOpenVZApi@vdsIpListGet');
/**
 * GET vdsListGet
 * Summary: Список виртуальных серверов
 * Notes: Позволяет получить список виртуальных серверов
 * Output-Formats: [application/json]
 */
$app->GET('/vds/list', 'VDSHyperVOpenVZApi@vdsListGet');
/**
 * GET vdsRebootGet
 * Summary: Перезагрузка VDS
 * Notes: Предоставляет функционал для перезагрузки VDS
 * Output-Formats: [application/json]
 */
$app->GET('/vds/reboot', 'VDSHyperVOpenVZApi@vdsRebootGet');
/**
 * GET vdsTemplatesListGet
 * Summary: Список шаблонов виртуальных серверов
 * Notes: Позволяет получить список шаблонов виртуальных серверов
 * Output-Formats: [application/json]
 */
$app->GET('/vds/templates-list', 'VDSHyperVOpenVZApi@vdsTemplatesListGet');
/**
 * GET vdsUpdateGet
 * Summary: Создание VDS
 * Notes: Создание новых VDS с произвольными характеристиками
 * Output-Formats: [application/json]
 */
$app->GET('/vds/update', 'VDSHyperVOpenVZApi@vdsUpdateGet');

